package aktj;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.awt.Toolkit;
import java.awt.Image;

public class ImgView extends JFrame
{
  private JPanel contentPane;
  private JButton tojiruBtn = new JButton();
  private Image img;
  private JLabel lbl = new JLabel();
  int i = 1;
  String imgPath = "";
  JButton kousinBtn = new JButton();

  public ImgView(String s)
  {
	imgPath = s;

	enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try
    {
      jbInit();
    }
    catch(Exception e)
    {
      e.printStackTrace();
    }
  }
  //R|[lg̏
  private void jbInit() throws Exception
  {
    //setIconImage(Toolkit.getDefaultToolkit().createImage(Frame1.class.getResource("[ACR]")));
    contentPane = (JPanel) this.getContentPane();
    tojiruBtn.setBounds(new Rectangle(this.getWidth()-75, this.getHeight()-60, 60, 25));
    tojiruBtn.setMargin(new Insets(0, 0, 0, 0));
    tojiruBtn.setText("");
    tojiruBtn.addActionListener(new java.awt.event.ActionListener()
    {
      public void actionPerformed(ActionEvent e)
      {
        tojiruBtn_actionPerformed(e);
      }
    });
    kousinBtn.setBounds(new Rectangle(this.getWidth()-125, this.getHeight()-60, 45, 25));
    kousinBtn.setMargin(new Insets(0, 0, 0, 0));
    kousinBtn.setText("XV");
    kousinBtn.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        kousinBtn_actionPerformed(e);
      }
    });


    contentPane.setLayout(null);
    this.setSize(new Dimension(250, 250));
    this.setTitle("摜r[");

    lbl.setHorizontalAlignment(SwingConstants.CENTER);
    lbl.setHorizontalTextPosition(SwingConstants.CENTER);
    lbl.setBounds(new Rectangle(5, this.getHeight()-60, this.getWidth()-145, 25));

    contentPane.setMinimumSize(new Dimension(250, 250));
    contentPane.add(tojiruBtn, null);
    contentPane.add(lbl, null);
    contentPane.add(kousinBtn, null);

	Toolkit toolkit = Toolkit.getDefaultToolkit();
	img = toolkit.getImage(imgPath);//ImageIuWFNg̐
  }

  public void kousin(String s)
  {
    imgPath = s;
    img = Toolkit.getDefaultToolkit().getImage(imgPath);//ImageIuWFNg̐
    repaint();
  }

  public int getW()
  {
    return this.getWidth();
  }

  public int getH()
  {
    return this.getHeight();
  }

  public int getLx()
  {
    return this.getLocation().x;
  }

  public int getLy()
  {
    return this.getLocation().y;
  }

  public void paint(Graphics g)
  {
    super.paint(g);

    int w;
    int h;
    int imgsize;
    int imgw = 0;
    int imgh = 0;


    w = this.getWidth() - 60;
    h = this.getHeight() - 100;

    if(w > h)
    {
      imgsize = h;
    }else
    {
      imgsize = w;
    }


    if (img != null)
    {
      imgw = img.getWidth(this);
      imgh = img.getHeight(this);

      if (imgw < imgh)
      {
        w = (int) ( ( (double) imgw / (double) imgh) * imgsize);
        h = imgsize;
      } else
      {
        w = imgsize;
        h = (int) ( ( (double) imgh / (double) imgw) * imgsize);
      }

      //ImageIuWFNg̕\
      if (w > 0 && h > 0)
      {
        g.drawImage(img, 20, 40, w, h, this);

        if (this.getWidth() > 75 && this.getHeight() > 60)
        {
          tojiruBtn.setBounds(new Rectangle(this.getWidth() - 75,
                                            this.getHeight() - 60, 60, 25));
        } else
        {
          tojiruBtn.setBounds(new Rectangle(0, 0, 85, 25));
        }

        if (this.getWidth() > 125 && this.getHeight() > 60)
        {
          kousinBtn.setBounds(new Rectangle(this.getWidth()-125
                                            , this.getHeight()-60, 45, 25));
        } else
        {
          tojiruBtn.setBounds(new Rectangle(0, 0, 85, 25));
        }


        if (this.getHeight() > 60 && this.getWidth() > 155)
        {
          lbl.setBounds(new Rectangle(5, this.getHeight() - 60,
                                      this.getWidth() - 155, 25));
        } else
        {
          lbl.setBounds(new Rectangle(5, 0, 100, 25));
        }

        if (imgw > 0 && imgh > 0)
        {
          lbl.setText("" + img.getWidth(this) + " x " + img.getHeight(this));
        }
      }
    }
  }

  //EBhEꂽƂɏI悤ɃI[o[Ch
  protected void processWindowEvent(WindowEvent e)
  {
    super.processWindowEvent(e);
    if (e.getID() == WindowEvent.WINDOW_CLOSING)
    {
      this.setVisible(false);
    }
  }

  void tojiruBtn_actionPerformed(ActionEvent e)
  {
    this.setVisible(false);

  }
//---摜̃ւ̓WJԂɍ킸Sĕ\łĂȂƂ̂߂ɍXV{^ōĕ`
  void kousinBtn_actionPerformed(ActionEvent e)
  {
    super.repaint();
  }




}